<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:14 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>ResourceFilterMatcher (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="ResourceFilterMatcher (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/ResourceFilterAppliesTo.html" title="enum in org.gradle.plugins.ide.eclipse.model"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/ResourceFilterType.html" title="enum in org.gradle.plugins.ide.eclipse.model"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/gradle/plugins/ide/eclipse/model/ResourceFilterMatcher.html" target="_top">Frames</a></li>
<li><a href="ResourceFilterMatcher.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.plugins.ide.eclipse.model</div>
<h2 title="Interface ResourceFilterMatcher" class="title">Interface ResourceFilterMatcher</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre><a href="../../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public interface <span class="strong">ResourceFilterMatcher</span></pre>
<div class="block">The model of an Eclipse resource filter matcher.
 <p>
 The matcher decides when the containing filter (or containing matcher) applies.  The
 matcher configures things like whether this ResourceFilter matches resources by
 name, project relative path, location, last modified, etc.  Eclipse has many types
 of built-in matchers and it is possible to specify the id and arguments for custom
 matchers using this model.
 <p>
 A matcher must have an id.  It may have either a custom string argument or a set of nested
 child matchers (e.g. an 'or' matcher will have several nested condition matchers).
 <p>
 For more documentation on usage with examples, see <a href="../../../../../../org/gradle/plugins/ide/eclipse/model/ResourceFilter.html" title="interface in org.gradle.plugins.ide.eclipse.model"><code>ResourceFilter</code></a>.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>3.5</dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/ResourceFilterMatcher.html#getArguments()">getArguments</a></strong>()</code>
<div class="block">The arguments of the matcher or null if it has children.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../../../org/gradle/plugins/ide/eclipse/model/ResourceFilterMatcher.html" title="interface in org.gradle.plugins.ide.eclipse.model">ResourceFilterMatcher</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/ResourceFilterMatcher.html#getChildren()">getChildren</a></strong>()</code>
<div class="block">The child matchers of this matcher, e.g.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/ResourceFilterMatcher.html#getId()">getId</a></strong>()</code>
<div class="block">The id of the matcher type, as defined by its Eclipse extension.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/ResourceFilterMatcher.html" title="interface in org.gradle.plugins.ide.eclipse.model">ResourceFilterMatcher</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/ResourceFilterMatcher.html#matcher(org.gradle.api.Action)">matcher</a></strong>(<a href="../../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../../../org/gradle/plugins/ide/eclipse/model/ResourceFilterMatcher.html" title="interface in org.gradle.plugins.ide.eclipse.model">ResourceFilterMatcher</a>&gt;&nbsp;configureAction)</code>
<div class="block">Adds a child/nested matcher to this matcher.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/ResourceFilterMatcher.html#setArguments(java.lang.String)">setArguments</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;arguments)</code>
<div class="block">Sets the arguments of the matcher.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/ResourceFilterMatcher.html#setId(java.lang.String)">setId</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;id)</code>
<div class="block">Sets the id of the matcher type.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getId()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getId</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/javax/annotation/Nullable.html?is-external=true" title="class or interface in javax.annotation">@Nullable</a>
<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getId()</pre>
<div class="block">The id of the matcher type, as defined by its Eclipse extension.

 Can be null on a newly created matcher, but must be set in order to be considered valid.</div>
</li>
</ul>
<a name="setId(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setId</h4>
<pre>void&nbsp;setId(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;id)</pre>
<div class="block">Sets the id of the matcher type.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>id</code> - the id, cannot be null</dd></dl>
</li>
</ul>
<a name="getArguments()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getArguments</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/javax/annotation/Nullable.html?is-external=true" title="class or interface in javax.annotation">@Nullable</a>
<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getArguments()</pre>
<div class="block">The arguments of the matcher or null if it has children.</div>
</li>
</ul>
<a name="setArguments(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setArguments</h4>
<pre>void&nbsp;setArguments(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;arguments)</pre>
<div class="block">Sets the arguments of the matcher.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>arguments</code> - the arguments or null if the matcher should have child matchers instead</dd></dl>
</li>
</ul>
<a name="getChildren()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getChildren</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../../../org/gradle/plugins/ide/eclipse/model/ResourceFilterMatcher.html" title="interface in org.gradle.plugins.ide.eclipse.model">ResourceFilterMatcher</a>&gt;&nbsp;getChildren()</pre>
<div class="block">The child matchers of this matcher, e.g. when this is an OR-matcher.</div>
</li>
</ul>
<a name="matcher(org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>matcher</h4>
<pre><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/ResourceFilterMatcher.html" title="interface in org.gradle.plugins.ide.eclipse.model">ResourceFilterMatcher</a>&nbsp;matcher(<a href="../../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../../../org/gradle/plugins/ide/eclipse/model/ResourceFilterMatcher.html" title="interface in org.gradle.plugins.ide.eclipse.model">ResourceFilterMatcher</a>&gt;&nbsp;configureAction)</pre>
<div class="block">Adds a child/nested matcher to this matcher.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>configureAction</code> - The action to use to configure the matcher.</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/ResourceFilterAppliesTo.html" title="enum in org.gradle.plugins.ide.eclipse.model"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/ResourceFilterType.html" title="enum in org.gradle.plugins.ide.eclipse.model"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/gradle/plugins/ide/eclipse/model/ResourceFilterMatcher.html" target="_top">Frames</a></li>
<li><a href="ResourceFilterMatcher.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
